$ErrorActionPreference = 'Stop';

$packageName= 'invantive-query-tool'

$packageArgs = @{
  packageName = $packageName
  fileType = 'MSI'
  url = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-22.1.37-BETA.msi'
  url64bit = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-22.1.37-BETA.msi'
  softwareName = 'Invantive Query Tool'
  checksum = 'A525CAF816C460BC98B7D3D3323498748322B6F10CFA3125E7F3DEBB78212F94'
  checksumType = 'sha256'
  checksum64 = 'A525CAF816C460BC98B7D3D3323498748322B6F10CFA3125E7F3DEBB78212F94'
  checksumType64 = 'sha256'
  silentArgs = "/qn /norestart /l*v `"$env:Temp\invantive-query-tool-22.1.37-msi-install.log`""
  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
